Bug 27802 - Repeated CCE when posting Tools menu
Repeated CCE when posting Tools menu
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Properties
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: issues@utilities
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 18:04 UTC by Jesse Glick
Modified: 2003-02-04 14:39 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Stack trace of exception (thrown many times) (3.72 KB, text/plain)
2002-10-03 18:06 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-10-03 18:04:36 UTC
[dev oct 03] After using a dev build with the
Node.getLookup change and the metrics module
installed, I found that trying to open the Tools
menu throws a bunch of CCE's from properties
module each time, making the IDE unusable until
you disable either metrics or properties.

Looking at the code, it is clearly wrong -
equals() can be called on any Object param, even
of different type, and you must consider that -
though I can see why the problem would only appear
now: ItemElem is now a cookie, meaning it is
dumped into a Lookup with other cookies.
Comment 1 Jesse Glick 2002-10-03 18:06:06 UTC
Created attachment 7593 [details]
Stack trace of exception (thrown many times)
Comment 2 Martin Roskanin 2002-10-04 08:59:09 UTC
fixed in [maintrunk]

/cvs/properties/src/org/netbeans/modules/properties/Element.java,v 
<--  Element.java
new revision: 1.28; previous revision: 1.27
Comment 3 pfelenda 2003-01-20 10:39:59 UTC
Verified in dev build 200301200100.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo